#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: SafeSemaphore
version: 0.10.1
id: SafeSemaphore-0.10.1-50bba301d01a2ad5d5c0d9a46b39a3eb

license: BSD3
copyright:
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
stability:
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
package-url:
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description: This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
             Those base modules are not exception safe and can be broken by killThread.
             See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
exposed-modules: Control.Concurrent.MSem Control.Concurrent.MSemN
                 Control.Concurrent.MSemN2 Control.Concurrent.MSampleVar
                 Control.Concurrent.FairRWLock Control.Concurrent.SSem
                 Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/SafeSemaphore-0.10.1
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/SafeSemaphore-0.10.1
              /usr/local/lib
hs-libraries: HSSafeSemaphore-0.10.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         stm-2.4.2-29f719ec777dfbb9548ac2cdb8ccc3c6
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/SafeSemaphore-0.10.1/html/SafeSemaphore.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/SafeSemaphore-0.10.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
